> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Incident Types

Incident Types are a feature which will allow customers to categorize incidents, such as a security incident, a major incident, or a fraud incident.

- [List incident types](https://docs.pagerduty.com/developer/api/reference/rest/incident-types/list-incident-types.md) — `GET /incidents/types`
- [Create an Incident Type](https://docs.pagerduty.com/developer/api/reference/rest/incident-types/create-incident-type.md) — `POST /incidents/types`
- [Get an Incident Type](https://docs.pagerduty.com/developer/api/reference/rest/incident-types/get-incident-type.md) — `GET /incidents/types/{type_id_or_name}`
- [Update an Incident Type](https://docs.pagerduty.com/developer/api/reference/rest/incident-types/update-incident-type.md) — `PUT /incidents/types/{type_id_or_name}`
- [List Incident Type Custom Fields](https://docs.pagerduty.com/developer/api/reference/rest/incident-types/list-incident-type-custom-fields.md) — `GET /incidents/types/{type_id_or_name}/custom_fields`
- [Create a Custom Field for an Incident Type](https://docs.pagerduty.com/developer/api/reference/rest/incident-types/create-incident-type-custom-field.md) — `POST /incidents/types/{type_id_or_name}/custom_fields`
- [Get an Incident Type Custom Field](https://docs.pagerduty.com/developer/api/reference/rest/incident-types/get-incident-type-custom-field.md) — `GET /incidents/types/{type_id_or_name}/custom_fields/{field_id}`
- [Delete a Custom Field for an Incident Type](https://docs.pagerduty.com/developer/api/reference/rest/incident-types/delete-incident-type-custom-field.md) — `DELETE /incidents/types/{type_id_or_name}/custom_fields/{field_id}`
- [Update a Custom Field for an Incident Type](https://docs.pagerduty.com/developer/api/reference/rest/incident-types/update-incident-type-custom-field.md) — `PUT /incidents/types/{type_id_or_name}/custom_fields/{field_id}`
- [List Field Options on a Custom Field](https://docs.pagerduty.com/developer/api/reference/rest/incident-types/list-incident-type-custom-field.md) — `GET /incidents/types/{type_id_or_name}/custom_fields/{field_id}/field_options`
- [Create a Field Option for a Custom Field](https://docs.pagerduty.com/developer/api/reference/rest/incident-types/create-incident-type-custom-field-field-options.md) — `POST /incidents/types/{type_id_or_name}/custom_fields/{field_id}/field_options`
- [Get a Field Option on a Custom Field](https://docs.pagerduty.com/developer/api/reference/rest/incident-types/get-incident-type-custom-field-field-options.md) — `GET /incidents/types/{type_id_or_name}/custom_fields/{field_id}/field_options/{field_option_id}`
- [Delete a Field Option for a Custom Field](https://docs.pagerduty.com/developer/api/reference/rest/incident-types/delete-incident-type-custom-field-field-option.md) — `DELETE /incidents/types/{type_id_or_name}/custom_fields/{field_id}/field_options/{field_option_id}`
- [Update a Field Option for a Custom Field](https://docs.pagerduty.com/developer/api/reference/rest/incident-types/update-incident-type-custom-field-field-option.md) — `PUT /incidents/types/{type_id_or_name}/custom_fields/{field_id}/field_options/{field_option_id}`

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
